Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - b -

- b : Lucene::PorterStemmer
- backup() : Lucene::FastCharStream , Lucene::QueryParserCharStream
- balanceRAM() : Lucene::DocumentsWriter
- base : Lucene::CSIndexInput , Lucene::MultiTermDocs , Lucene::SegmentMergeInfo
- BASE64_CHARS : Lucene::Base64
- BaseCharFilter() : Lucene::BaseCharFilter
- begin() : Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::Map< KEY, VALUE, LESS > , Lucene::BooleanQuery , Lucene::Map< KEY, VALUE, LESS > , Lucene::Set< TYPE, LESS > , Lucene::CharArraySet , Lucene::Set< TYPE, LESS > , Lucene::SimpleLRUCache< KEY, VALUE, HASH, EQUAL > , Lucene::Collection< TYPE > , Lucene::DisjunctionMaxQuery , Lucene::HashMap< KEY, VALUE, HASH, EQUAL >
- beginColumn : Lucene::QueryParserToken
- beginLine : Lucene::QueryParserToken
- BeginToken() : Lucene::FastCharStream , Lucene::QueryParserCharStream
- binaryLength : Lucene::AbstractField
- binaryOffset : Lucene::AbstractField
- binarySearch() : Lucene::StringOrdValComparator
- binarySearchLookup() : Lucene::StringIndex
- BIT_SHIFT : Lucene::SortedVIntList
- bitlist : Lucene::OpenBitSetIterator
- bits : Lucene::BitVector , Lucene::Bucket , Lucene::OpenBitSet
- BITS2VINTLIST_SIZE : Lucene::SortedVIntList
- bits2words() : Lucene::OpenBitSet
- bitSet : Lucene::BitSet , Lucene::DocIdBitSet
- BitSet() : Lucene::BitSet
- bitset_type : Lucene::BitSet
- bitSpans() : Lucene::CachingSpanFilter , Lucene::SpanFilter , Lucene::SpanQueryFilter
- BitVector() : Lucene::BitVector
- blockAddIndexes() : Lucene::IndexWriter
- blockSize : Lucene::ByteBlockAllocator
- BooleanClause() : Lucene::BooleanClause
- BooleanQuery() : Lucene::BooleanQuery
- BooleanScorer() : Lucene::BooleanScorer
- BooleanScorer2() : Lucene::BooleanScorer2
- BooleanScorerCollector() : Lucene::BooleanScorerCollector
- Boost : Lucene::QueryParserConstants
- boost : Lucene::AbstractField , Lucene::Document , Lucene::FieldInvertState , Lucene::Query
- boosts : Lucene::MultiFieldQueryParser
- boostString() : Lucene::Query
- bottom : Lucene::StringComparatorLocale , Lucene::StringValComparator , Lucene::TopFieldCollector , Lucene::NumericComparator< TYPE >
- bottomOrd : Lucene::StringOrdValComparator
- bottomSlot : Lucene::StringOrdValComparator
- bottomValue : Lucene::StringOrdValComparator
- Bucket() : Lucene::Bucket
- buckets : Lucene::BucketTable
- BucketScorer() : Lucene::BucketScorer
- BucketTable() : Lucene::BucketTable
- bucketTable : Lucene::BooleanScorer
- BUF_SIZE_INT : Lucene::NumericUtils
- BUF_SIZE_LONG : Lucene::NumericUtils
- buffer : Lucene::BufferedIndexInput , Lucene::BufferedIndexOutput , Lucene::BufferedReader , Lucene::ByteBlockPool , Lucene::ByteSliceReader , Lucene::TermVectorsTermsWriterPerDoc , Lucene::CharBlockPool , Lucene::FastCharStream , Lucene::IntBlockPool , Lucene::MappingCharFilter , Lucene::StoredFieldsWriterPerDoc
- BUFFER_SIZE : Lucene::RAMOutputStream , Lucene::BufferedIndexInput , Lucene::BufferedIndexOutput , Lucene::RAMInputStream
- bufferDeleteQueries() : Lucene::DocumentsWriter
- bufferDeleteQuery() : Lucene::DocumentsWriter
- bufferDeleteTerm() : Lucene::DocumentsWriter
- bufferDeleteTerms() : Lucene::DocumentsWriter
- BufferedDeletes() : Lucene::BufferedDeletes
- BufferedIndexInput() : Lucene::BufferedIndexInput
- BufferedIndexOutput() : Lucene::BufferedIndexOutput
- BufferedReader() : Lucene::BufferedReader
- bufferIndex : Lucene::CharTokenizer
- bufferIsFull : Lucene::DocumentsWriter
- bufferLength : Lucene::BufferedReader , Lucene::BufferedIndexInput , Lucene::FastCharStream , Lucene::RAMInputStream , Lucene::RAMOutputStream
- bufferOffset : Lucene::ByteSliceReader
- bufferPosition : Lucene::BufferedIndexInput , Lucene::BufferedIndexOutput , Lucene::BufferedReader , Lucene::RAMInputStream , Lucene::RAMOutputStream , Lucene::FastCharStream
- buffers : Lucene::CharBlockPool , Lucene::ByteBlockPool , Lucene::IntBlockPool , Lucene::RAMFile
- bufferSize : Lucene::BufferedReader , Lucene::BufferedIndexInput
- bufferSkip() : Lucene::MultiLevelSkipListWriter
- bufferStart : Lucene::BufferedIndexInput , Lucene::RAMOutputStream , Lucene::FastCharStream , Lucene::BufferedIndexOutput , Lucene::RAMInputStream
- bufferUpto : Lucene::CharBlockPool , Lucene::IntBlockPool , Lucene::ByteBlockPool , Lucene::ByteSliceReader
- byName : Lucene::FieldInfos
- byNumber : Lucene::FieldInfos
- BYTE : Lucene::SortField , Lucene::FieldScoreQuery
- BYTE_BLOCK_MASK : Lucene::DocumentsWriter
- BYTE_BLOCK_NOT_MASK : Lucene::DocumentsWriter
- BYTE_BLOCK_SHIFT : Lucene::DocumentsWriter
- BYTE_BLOCK_SIZE : Lucene::DocumentsWriter
- BYTE_COUNTS : Lucene::BitVector
- byteAt() : Lucene::Payload
- byteBlockAllocator : Lucene::DocumentsWriter
- ByteBlockAllocator() : Lucene::ByteBlockAllocator
- ByteBlockPool() : Lucene::ByteBlockPool
- ByteCache() : Lucene::ByteCache
- ByteComparator() : Lucene::ByteComparator
- ByteFieldSource() : Lucene::ByteFieldSource
- byteOffset : Lucene::ByteBlockPool
- bytePool : Lucene::TermsHashPerField , Lucene::TermsHashPerThread
- bytes : Lucene::SortedVIntList , Lucene::TermBuffer
- BYTES_PER_DEL_DOCID : Lucene::DocumentsWriter
- BYTES_PER_DEL_QUERY : Lucene::DocumentsWriter
- BYTES_PER_DEL_TERM : Lucene::DocumentsWriter
- BYTES_SIZE : Lucene::RawPostingList
- bytesAllocated() : Lucene::DocumentsWriter
- bytesDifference() : Lucene::MiscUtils
- ByteSliceReader() : Lucene::ByteSliceReader
- ByteSliceWriter() : Lucene::ByteSliceWriter
- bytesPerPosting() : Lucene::TermsHashConsumer , Lucene::FreqProxTermsWriter , Lucene::TermsHash , Lucene::TermVectorsTermsWriter
- byteStart : Lucene::RawPostingList
- bytesUsed() : Lucene::DocumentsWriter , Lucene::BufferedDeletes
- byteToDouble() : Lucene::SmallDouble
- byteUpto : Lucene::ByteBlockPool

clucene.sourceforge.net